body {
    font-family: sans-serif;
    background-color: #fff;
    color: #000;
}
body.dark-mode {
    background-color: #121212;
    color: #eee;
}
canvas {
    border: 1px solid #333;
}
header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: #ddd;
    padding: 10px;
}
